Skip to content
Permalink
Browse files

Revert "Revert "[travis] Use newer clang 3.7 for linux builds""

This reverts commit d902c56.

Default precise clang versions are now also randomly failing, so
let's try using a newer clang version (3.8) again and see if this
fixes it.
  • Loading branch information
nyalldawson committed Mar 2, 2016
1 parent 0571395 commit 697a25dd92fa6374d06650141a17f38b1e5c2130
Showing with 14 additions and 0 deletions.
  1. +8 −0 ci/travis/linux/before_install.sh
  2. +6 −0 ci/travis/linux/install.sh
@@ -1,9 +1,13 @@
export DEBIAN_FRONTEND=noninteractive

wget -O - http://llvm.org/apt/llvm-snapshot.gpg.key | sudo apt-key add -
sudo add-apt-repository 'deb http://llvm.org/apt/precise/ llvm-toolchain-precise main' -y

sudo add-apt-repository ppa:ubuntugis/ppa -y
sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable -y # For postgresql-9.1-postgis-2.1
sudo add-apt-repository ppa:smspillaz/cmake-3.0.2 -y
sudo add-apt-repository ppa:kedazo/doxygen-updates-precise -y # For doxygen 1.8.8
sudo add-apt-repository ppa:ubuntu-toolchain-r/test -y
sudo apt-get update -qq
sudo apt-get install --force-yes --no-install-recommends --no-install-suggests \
bison \
@@ -63,3 +67,7 @@ sudo apt-get install --force-yes --no-install-recommends --no-install-suggests \

sudo -H pip install autopep8 # TODO when switching to trusty or above: replace python-pip with python-autopep8
sudo -H pip install nose2 pyyaml mock

#update clang
sudo apt-get install --force-yes llvm-3.8 llvm-3.8-dev clang-3.8 libstdc++-4.9-dev

@@ -1,6 +1,12 @@
mkdir build
cd build

export CXX="clang++-3.8"
export CC="clang-3.8"

cmake --version
${CC} --version

CLANG_WARNINGS="-Wimplicit-fallthrough"

cmake -DWITH_SERVER=ON \

0 comments on commit 697a25d

Please sign in to comment.
You can’t perform that action at this time.